/**** Import should have relative path in common lib ****/
import { OnDestroy, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { AxFilter } from '../enlighten-lib/filters/ax-filter';
import { ScreenType } from '../enlighten-lib/filters/condition-type';
import { TabularReport } from '../enlighten-lib/report/tabular-report/tabular-report';
import { DrillThroughService } from './drill-through.service';
import { EnlightenReportType } from '../enlighten-lib/report/ireport';
import * as i0 from "@angular/core";
export declare class DrillThroughComponent implements OnInit, OnDestroy {
    private _drillThroughService;
    private _router;
    drillThroughParentType: ScreenType;
    appVersionId: number;
    page: any;
    tabularReport: TabularReport;
    reportId: number;
    filter: AxFilter;
    reportType: EnlightenReportType;
    hasNextPage: boolean;
    private _unsubscribeAll;
    /**
     * Constructor
     * Inject all required services here.
     */
    constructor(_drillThroughService: DrillThroughService, _router: Router);
    get screenTypes(): typeof ScreenType;
    get enlightenReportTypes(): typeof EnlightenReportType;
    beforeUnload(event: BeforeUnloadEvent): void;
    /**
     * OnInit life cycle hook ..
     */
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * Subscribers should be written here.
     */
    subscribers(): void;
    /**
     * Set drill through initial data
     */
    setDrillThrough(): void;
    /**
     * called on click of next arrow on drill through page
     */
    nextPage(): void;
    /**
     * called on click of next arrow on drill through page
     */
    previousPage(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DrillThroughComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DrillThroughComponent, "drill-through", never, { "drillThroughParentType": "drillThroughParentType"; "appVersionId": "appVersionId"; }, {}, never, never>;
}
